//******************************************************************************
// Command Processor Module
//
//******************************************************************************
// This module represents Intellectual Property developed at the expense
// of SoftBaugh, Inc., and remains the property of SoftBaugh, Inc.
// Client is granted a non-exclusive, non-resalable license to this module,
// and is free to modify and reuse projects containing this module for the sole
// purpose of validating proper operation of other modules developed for Client 
// by SoftBaugh, provided that this notice remains intact.
//******************************************************************************
//
//  (c) 2000-2004 SoftBaugh, Inc.
//  Built with IAR Embedded Workbench V2
//******************************************************************************

#include "msp430x43x.h"
#include "Command.h"
#include "SST25VF.h"

void Command_Init( void )
{	

}

void Command_Loop( void )
{   unsigned int nResult;

    while(1)
    {  
    	DAC_Tick();
    	nResult = SST25VF_ReadChipID();
    	
        if (0x43 == nResult)
        {
        P1OUT &= ~0x01;
        }
        else
        {
        P1OUT |= 0x01;	
        }
    }
}



